Skip to main content
GET
/
v1
/
payroll-connections
/
{payroll_connection}
/
payroll-records
/
{payroll_record}
Get payroll data
curl --request GET \
  --url https://api.payrollintegrationsapp.com/v1/payroll-connections/{payroll_connection}/payroll-records/{payroll_record}
{
  "id": "ee0e8400-e29b-41d4-a716-446655440009",
  "payrollConnectionId": "880e8400-e29b-41d4-a716-446655440003",
  "checkDate": "2024-01-31",
  "payPeriodStartDate": "2024-01-16",
  "payPeriodEndDate": "2024-01-31"
}

Documentation Index

Fetch the complete documentation index at: https://developer.payrollintegrations.com/llms.txt

Use this file to discover all available pages before exploring further.

Path Parameters

payroll_connection
string<uuid>
required
payroll_record
string<uuid>
required

Response

Payroll details

id
string<uuid>
required
payrollConnectionId
string<uuid>
required
checkDate
string<date>
required

The date on which the check was paid out to the employee (YYYY-MM-DD)

payPeriodStartDate
string<date>
required

The date on which the payroll period began (YYYY-MM-DD)

payPeriodEndDate
string<date>
required

The date on which the payroll period ended (YYYY-MM-DD)